;CAD Studio - www.cadstudio.cz
;change linetype of BYLAYER objects to their layer's linetype (explicit)
(defun c:LLtype ( / ss i c ssl ent edata layer laydata laylt)
  (setq i 0  c 0  ssl 0)
  (princ "\nSelect objects to re-linetype by layer:")
;  (setq ss (ssget))
  (setq ss (ssget)); '((6 . 256))))
  (if ss (setq ssl (sslength ss)))
  (while (< i ssl)
    (setq ent (ssname ss i))
    (setq edata (entget ent))
    (if (or (not (assoc 6 edata)) (= (assoc 6 edata) 256))
      (progn
       (setq layer (cdr (assoc 8 edata)))
       (setq laydata (tblsearch "LAYER" layer))
       (setq laylt (cdr (assoc 6 laydata)))
       (setq edata (append edata (list (cons 6 laylt))))
       (entmod edata)
       (entupd ent)
       (setq c (1+ c))
      )
    ); if
    (setq i (+ 1 i))
  ); while
  (princ (strcat "\n" (itoa c) " objects re-linetyped"))
  (prin1)
 )
 (princ "\nCADstudio LLtype: use the LLTYPE command to start")
 (prin1)
